[arch-commits] Commit in thunderbird-i18n/trunk (PKGBUILD)

Ionut Biru ibiru at archlinux.org
Fri Jul 23 17:43:09 EDT 2010


    Date: Friday, July 23, 2010 @ 17:43:09
  Author: ibiru
Revision: 86036

fix sources conflicts with firefox-i18n when using same srcdest. FS#19298

Modified:
  thunderbird-i18n/trunk/PKGBUILD

----------+
 PKGBUILD |  225 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 113 insertions(+), 112 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-07-23 21:31:35 UTC (rev 86035)
+++ PKGBUILD	2010-07-23 21:43:09 UTC (rev 86036)
@@ -22,79 +22,80 @@
 groups=('thunderbird-i18n')
 conflicts=('thunderbird-i18n')
 _url=http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/${pkgver}/linux-i686/xpi
-source=($_url/af.xpi
-        $_url/be.xpi
-        $_url/bg.xpi
-        $_url/ca.xpi
-        $_url/cs.xpi
-        $_url/da.xpi
-        $_url/de.xpi
-        $_url/el.xpi
-        $_url/en-GB.xpi
-        $_url/es-AR.xpi
-        $_url/es-ES.xpi
-	$_url/et.xpi
-        $_url/eu.xpi
-        $_url/fi.xpi
-        $_url/fr.xpi
-        $_url/ga-IE.xpi
-        $_url/he.xpi
-        $_url/hu.xpi
-        $_url/it.xpi
-        $_url/ja.xpi
-        $_url/ko.xpi
-        $_url/lt.xpi
-        $_url/nb-NO.xpi
-        $_url/nl.xpi
-        $_url/nn-NO.xpi
-        $_url/pa-IN.xpi
-        $_url/pl.xpi
-        $_url/pt-BR.xpi
-        $_url/pt-PT.xpi
-	$_url/ro.xpi
-        $_url/ru.xpi
-        $_url/sk.xpi
-        $_url/sv-SE.xpi
-        $_url/tr.xpi
-        $_url/uk.xpi
-        $_url/zh-CN.xpi
-        $_url/zh-TW.xpi)
-noextract=('af.xpi'
-        'be.xpi'
-        'bg.xpi'
-        'ca.xpi'
-        'cs.xpi'
-	'da.xpi'
-        'de.xpi'
-        'el.xpi'
-        'en-GB.xpi'
-        'es-AR.xpi'
-        'es-ES.xpi'
-        'eu.xpi'
-        'fi.xpi'
-        'fr.xpi'
-        'ga-IE.xpi'
-        'he.xpi'
-        'hu.xpi'
-        'it.xpi'
-        'ja.xpi'
-        'ko.xpi'
-        'lt.xpi'
-        'nb-NO.xpi'
-        'nl.xpi'
-        'nn-NO.xpi'
-        'pa-IN.xpi'
-        'pl.xpi'
-        'pt-BR.xpi'
-        'pt-PT.xpi'
-	'ro.xpi'
-        'ru.xpi'
-        'sk.xpi'
-        'sv-SE.xpi'
-        'tr.xpi'
-        'uk.xpi'
-        'zh-CN.xpi'
-        'zh-TW.xpi')
+source=(thunderbird-i18n-$pkgver-af.xpi::$_url/af.xpi
+        thunderbird-i18n-$pkgver-be.xpi::$_url/be.xpi
+        thunderbird-i18n-$pkgver-bg.xpi::$_url/bg.xpi
+        thunderbird-i18n-$pkgver-ca.xpi::$_url/ca.xpi
+        thunderbird-i18n-$pkgver-cs.xpi::$_url/cs.xpi
+        thunderbird-i18n-$pkgver-da.xpi::$_url/da.xpi
+        thunderbird-i18n-$pkgver-de.xpi::$_url/de.xpi
+        thunderbird-i18n-$pkgver-el.xpi::$_url/el.xpi
+        thunderbird-i18n-$pkgver-en-GB.xpi::$_url/en-GB.xpi
+        thunderbird-i18n-$pkgver-es-AR.xpi::$_url/es-AR.xpi
+        thunderbird-i18n-$pkgver-es-ES.xpi::$_url/es-ES.xpi
+	thunderbird-i18n-$pkgver-et.xpi::$_url/et.xpi
+        thunderbird-i18n-$pkgver-eu.xpi::$_url/eu.xpi
+        thunderbird-i18n-$pkgver-fi.xpi::$_url/fi.xpi
+        thunderbird-i18n-$pkgver-fr.xpi::$_url/fr.xpi
+        thunderbird-i18n-$pkgver-ga-IE.xpi::$_url/ga-IE.xpi
+        thunderbird-i18n-$pkgver-he.xpi::$_url/he.xpi
+        thunderbird-i18n-$pkgver-hu.xpi::$_url/hu.xpi
+        thunderbird-i18n-$pkgver-it.xpi::$_url/it.xpi
+        thunderbird-i18n-$pkgver-ja.xpi::$_url/ja.xpi
+        thunderbird-i18n-$pkgver-ko.xpi::$_url/ko.xpi
+        thunderbird-i18n-$pkgver-lt.xpi::$_url/lt.xpi
+        thunderbird-i18n-$pkgver-nb-NO.xpi::$_url/nb-NO.xpi
+        thunderbird-i18n-$pkgver-nl.xpi::$_url/nl.xpi
+        thunderbird-i18n-$pkgver-nn-NO.xpi::$_url/nn-NO.xpi
+        thunderbird-i18n-$pkgver-pa-IN.xpi::$_url/pa-IN.xpi
+        thunderbird-i18n-$pkgver-pl.xpi::$_url/pl.xpi
+        thunderbird-i18n-$pkgver-pt-BR.xpi::$_url/pt-BR.xpi
+        thunderbird-i18n-$pkgver-pt-PT.xpi::$_url/pt-PT.xpi
+	thunderbird-i18n-$pkgver-ro.xpi::$_url/ro.xpi
+        thunderbird-i18n-$pkgver-ru.xpi::$_url/ru.xpi
+        thunderbird-i18n-$pkgver-sk.xpi::$_url/sk.xpi
+        thunderbird-i18n-$pkgver-sv-SE.xpi::$_url/sv-SE.xpi
+        thunderbird-i18n-$pkgver-tr.xpi::$_url/tr.xpi
+        thunderbird-i18n-$pkgver-uk.xpi::$_url/uk.xpi
+        thunderbird-i18n-$pkgver-zh-CN.xpi::$_url/zh-CN.xpi
+        thunderbird-i18n-$pkgver-zh-TW.xpi::$_url/zh-TW.xpi)
+noextract=("thunderbird-i18n-$pkgver-af.xpi"
+        "thunderbird-i18n-$pkgver-be.xpi"
+        "thunderbird-i18n-$pkgver-bg.xpi"
+        "thunderbird-i18n-$pkgver-ca.xpi"
+        "thunderbird-i18n-$pkgver-cs.xpi"
+	"thunderbird-i18n-$pkgver-da.xpi"
+        "thunderbird-i18n-$pkgver-de.xpi"
+        "thunderbird-i18n-$pkgver-el.xpi"
+        "thunderbird-i18n-$pkgver-en-GB.xpi"
+        "thunderbird-i18n-$pkgver-es-AR.xpi"
+        "thunderbird-i18n-$pkgver-es-ES.xpi"
+        "thunderbird-i18n-$pkgver-et.xpi"
+        "thunderbird-i18n-$pkgver-eu.xpi"
+        "thunderbird-i18n-$pkgver-fi.xpi"
+        "thunderbird-i18n-$pkgver-fr.xpi"
+        "thunderbird-i18n-$pkgver-ga-IE.xpi"
+        "thunderbird-i18n-$pkgver-he.xpi"
+        "thunderbird-i18n-$pkgver-hu.xpi"
+        "thunderbird-i18n-$pkgver-it.xpi"
+        "thunderbird-i18n-$pkgver-ja.xpi"
+        "thunderbird-i18n-$pkgver-ko.xpi"
+        "thunderbird-i18n-$pkgver-lt.xpi"
+        "thunderbird-i18n-$pkgver-nb-NO.xpi"
+        "thunderbird-i18n-$pkgver-nl.xpi"
+        "thunderbird-i18n-$pkgver-nn-NO.xpi"
+        "thunderbird-i18n-$pkgver-pa-IN.xpi"
+        "thunderbird-i18n-$pkgver-pl.xpi"
+        "thunderbird-i18n-$pkgver-pt-BR.xpi"
+        "thunderbird-i18n-$pkgver-pt-PT.xpi"
+	"thunderbird-i18n-$pkgver-ro.xpi"
+        "thunderbird-i18n-$pkgver-ru.xpi"
+        "thunderbird-i18n-$pkgver-sk.xpi"
+        "thunderbird-i18n-$pkgver-sv-SE.xpi"
+        "thunderbird-i18n-$pkgver-tr.xpi"
+        "thunderbird-i18n-$pkgver-uk.xpi"
+        "thunderbird-i18n-$pkgver-zh-CN.xpi"
+        "thunderbird-i18n-$pkgver-zh-TW.xpi")
 
 build() {
   cd ${srcdir}
@@ -103,7 +104,7 @@
 package_thunderbird-af() {
   pkgdesc="Afrikaans (South Africa) language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf af.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-af.xpi || return 1
   sed -i "s|jar:chrome/af.jar|jar:af.jar|" chrome.manifest || return 1
   install -D -m644 chrome/af.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/af.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/af.manifest" || return 1
@@ -112,7 +113,7 @@
 package_thunderbird-be() {
   pkgdesc="Belarusian language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf be.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-be.xpi || return 1
   sed -i "s|jar:chrome/be.jar|jar:be.jar|" chrome.manifest || return 1
   install -D -m644 chrome/be.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/be.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/be.manifest" || return 1
@@ -121,7 +122,7 @@
 package_thunderbird-bg() {
   pkgdesc="Bulgarian language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf bg.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-bg.xpi || return 1
   sed -i "s|jar:chrome/bg.jar|jar:bg.jar|" chrome.manifest || return 1
   install -D -m644 chrome/bg.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/bg.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/bg.manifest" || return 1
@@ -130,7 +131,7 @@
 package_thunderbird-ca() {
   pkgdesc="Catalan language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf ca.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-ca.xpi || return 1
   sed -i "s|jar:chrome/ca.jar|jar:ca.jar|" chrome.manifest || return 1
   install -D -m644 chrome/ca.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/ca.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/ca.manifest" || return 1
@@ -139,7 +140,7 @@
 package_thunderbird-cs() {
   pkgdesc="Czech language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf cs.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-cs.xpi || return 1
   sed -i "s|jar:chrome/cs.jar|jar:cs.jar|" chrome.manifest || return 1
   install -D -m644 chrome/cs.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/cs.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/cs.manifest" || return 1
@@ -148,7 +149,7 @@
 package_thunderbird-da() {
   pkgdesc="Danish language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf da.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-da.xpi || return 1
   sed -i "s|jar:chrome/da.jar|jar:da.jar|" chrome.manifest || return 1
   install -D -m644 chrome/da.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/da.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/da.manifest" || return 1
@@ -157,7 +158,7 @@
 package_thunderbird-de() {
   pkgdesc="German language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf de.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-de.xpi || return 1
   sed -i "s|jar:chrome/de.jar|jar:de.jar|" chrome.manifest || return 1
   install -D -m644 chrome/de.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/de.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/de.manifest" || return 1
@@ -166,7 +167,7 @@
 package_thunderbird-el() {
   pkgdesc="Greek language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf el.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-el.xpi || return 1
   sed -i "s|jar:chrome/el.jar|jar:el.jar|" chrome.manifest || return 1
   install -D -m644 chrome/el.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/el.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/el.manifest" || return 1
@@ -175,7 +176,7 @@
 package_thunderbird-en-gb() {
   pkgdesc="English (GB) language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf en-GB.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-en-GB.xpi || return 1
   sed -i "s|jar:chrome/en-GB.jar|jar:en-GB.jar|" chrome.manifest || return 1
   install -D -m644 chrome/en-GB.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/en-GB.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/en-GB.manifest" || return 1
@@ -184,7 +185,7 @@
 package_thunderbird-es-ar() {
   pkgdesc="Spanish (AR) language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf es-AR.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-es-AR.xpi || return 1
   sed -i "s|jar:chrome/es-AR.jar|jar:es-AR.jar|" chrome.manifest || return 1
   install -D -m644 chrome/es-AR.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/es-AR.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/es-AR.manifest" || return 1
@@ -193,7 +194,7 @@
 package_thunderbird-es() {
   pkgdesc="Spanish language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf es-ES.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-es-ES.xpi || return 1
   sed -i "s|jar:chrome/es-ES.jar|jar:es-ES.jar|" chrome.manifest || return 1
   install -D -m644 chrome/es-ES.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/es-ES.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/es-ES.manifest" || return 1
@@ -202,7 +203,7 @@
 package_thunderbird-et() {
   pkgdesc="Estonian language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf et.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-et.xpi || return 1
   sed -i "s|jar:chrome/et.jar|jar:et.jar|" chrome.manifest || return 1
   install -D -m644 chrome/et.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/et.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/et.manifest" || return 1
@@ -211,7 +212,7 @@
 package_thunderbird-eu() {
   pkgdesc="Basque language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf eu.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-eu.xpi || return 1
   sed -i "s|jar:chrome/eu.jar|jar:eu.jar|" chrome.manifest || return 1
   install -D -m644 chrome/eu.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/eu.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/eu.manifest" || return 1
@@ -220,7 +221,7 @@
 package_thunderbird-fi() {
   pkgdesc="Finnish language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf fi.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-fi.xpi || return 1
   sed -i "s|jar:chrome/fi.jar|jar:fi.jar|" chrome.manifest || return 1
   install -D -m644 chrome/fi.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/fi.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/fi.manifest" || return 1
@@ -229,7 +230,7 @@
 package_thunderbird-fr() {
   pkgdesc="French language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf fr.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-fr.xpi || return 1
   sed -i "s|jar:chrome/fr.jar|jar:fr.jar|" chrome.manifest || return 1
   install -D -m644 chrome/fr.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/fr.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/fr.manifest" || return 1
@@ -238,7 +239,7 @@
 package_thunderbird-ga() {
   pkgdesc="Irish language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf ga-IE.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-ga-IE.xpi || return 1
   sed -i "s|jar:chrome/ga-IE.jar|jar:ga-IE.jar|" chrome.manifest || return 1
   install -D -m644 chrome/ga-IE.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/ga-IE.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/ga-IE.manifest" || return 1
@@ -247,7 +248,7 @@
 package_thunderbird-he() {
   pkgdesc="Hebrew language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf he.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-he.xpi || return 1
   sed -i "s|jar:chrome/he.jar|jar:he.jar|" chrome.manifest || return 1
   install -D -m644 chrome/he.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/he.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/he.manifest" || return 1
@@ -256,7 +257,7 @@
 package_thunderbird-hu() {
   pkgdesc="Hungarian language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf hu.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-hu.xpi || return 1
   sed -i "s|jar:chrome/hu.jar|jar:hu.jar|" chrome.manifest || return 1
   install -D -m644 chrome/hu.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/hu.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/hu.manifest" || return 1
@@ -265,7 +266,7 @@
 package_thunderbird-it() {
   pkgdesc="Italian language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf it.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-it.xpi || return 1
   sed -i "s|jar:chrome/it.jar|jar:it.jar|" chrome.manifest || return 1
   install -D -m644 chrome/it.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/it.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/it.manifest" || return 1
@@ -274,7 +275,7 @@
 package_thunderbird-ja() {
   pkgdesc="Japanese language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf ja.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-ja.xpi || return 1
   sed -i "s|jar:chrome/ja.jar|jar:ja.jar|" chrome.manifest || return 1
   install -D -m644 chrome/ja.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/ja.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/ja.manifest" || return 1
@@ -283,7 +284,7 @@
 package_thunderbird-ko() {
   pkgdesc="Korean language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf ko.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-ko.xpi || return 1
   sed -i "s|jar:chrome/ko.jar|jar:ko.jar|" chrome.manifest || return 1
   install -D -m644 chrome/ko.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/ko.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/ko.manifest" || return 1
@@ -292,7 +293,7 @@
 package_thunderbird-lt() {
   pkgdesc="Lithuanian language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf lt.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-lt.xpi || return 1
   sed -i "s|jar:chrome/lt.jar|jar:lt.jar|" chrome.manifest || return 1
   install -D -m644 chrome/lt.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/lt.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/lt.manifest" || return 1
@@ -301,7 +302,7 @@
 package_thunderbird-mk() {
   pkgdesc="Macedonian language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf mk.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-mk.xpi || return 1
   sed -i "s|jar:chrome/mk.jar|jar:mk.jar|" chrome.manifest || return 1
   install -D -m644 chrome/mk.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/mk.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/mk.manifest" || return 1
@@ -310,7 +311,7 @@
 package_thunderbird-nb() {
   pkgdesc="Norwegian (Bokmal) language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf nb-NO.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-nb-NO.xpi || return 1
   sed -i "s|jar:chrome/nb-NO.jar|jar:nb-NO.jar|" chrome.manifest || return 1
   install -D -m644 chrome/nb-NO.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/nb-NO.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/nb-NO.manifest" || return 1
@@ -319,7 +320,7 @@
 package_thunderbird-nl() {
   pkgdesc="Dutch language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf nl.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-nl.xpi || return 1
   sed -i "s|jar:chrome/nl.jar|jar:nl.jar|" chrome.manifest || return 1
   install -D -m644 chrome/nl.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/nl.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/nl.manifest" || return 1
@@ -328,7 +329,7 @@
 package_thunderbird-nn() {
   pkgdesc="Norwegian (Nynorsk) language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf nn-NO.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-nn-NO.xpi || return 1
   sed -i "s|jar:chrome/nn-NO.jar|jar:nn-NO.jar|" chrome.manifest || return 1
   install -D -m644 chrome/nn-NO.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/nn-NO.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/nn-NO.manifest" || return 1
@@ -337,7 +338,7 @@
 package_thunderbird-pa() {
   pkgdesc="Punjabi language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf pa-IN.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-pa-IN.xpi || return 1
   sed -i "s|jar:chrome/pa-IN.jar|jar:pa-IN.jar|" chrome.manifest || return 1
   install -D -m644 chrome/pa-IN.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/pa-IN.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/pa-IN.manifest" || return 1
@@ -346,7 +347,7 @@
 package_thunderbird-pl() {
   pkgdesc="Polish language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf pl.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-pl.xpi || return 1
   sed -i "s|jar:chrome/pl.jar|jar:pl.jar|" chrome.manifest || return 1
   install -D -m644 chrome/pl.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/pl.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/pl.manifest" || return 1
@@ -355,7 +356,7 @@
 package_thunderbird-pt-br() {
   pkgdesc="Portoguese (Brasil) language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf pt-BR.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-pt-BR.xpi || return 1
   sed -i "s|jar:chrome/pt-BR.jar|jar:pt-BR.jar|" chrome.manifest || return 1
   install -D -m644 chrome/pt-BR.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/pt-BR.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/pt-BR.manifest" || return 1
@@ -364,7 +365,7 @@
 package_thunderbird-pt() {
   pkgdesc="Portuguese language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf pt-PT.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-pt-PT.xpi || return 1
   sed -i "s|jar:chrome/pt-PT.jar|jar:pt-PT.jar|" chrome.manifest || return 1
   install -D -m644 chrome/pt-PT.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/pt-PT.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/pt-PT.manifest" || return 1
@@ -373,7 +374,7 @@
 package_thunderbird-ro() {
   pkgdesc="Romanian language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf ro.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-ro.xpi || return 1
   sed -i "s|jar:chrome/ro.jar|jar:ro.jar|" chrome.manifest || return 1
   install -D -m644 chrome/ro.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/ro.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/ro.manifest" || return 1
@@ -382,7 +383,7 @@
 package_thunderbird-ru() {
   pkgdesc="Russian language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf ru.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-ru.xpi || return 1
   sed -i "s|jar:chrome/ru.jar|jar:ru.jar|" chrome.manifest || return 1
   install -D -m644 chrome/ru.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/ru.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/ru.manifest" || return 1
@@ -391,7 +392,7 @@
 package_thunderbird-sk() {
   pkgdesc="Slovak language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf sk.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-sk.xpi || return 1
   sed -i "s|jar:chrome/sk.jar|jar:sk.jar|" chrome.manifest || return 1
   install -D -m644 chrome/sk.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/sk.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/sk.manifest" || return 1
@@ -400,7 +401,7 @@
 package_thunderbird-sl() {
   pkgdesc="Slovenian language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf sl.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-sl.xpi || return 1
   sed -i "s|jar:chrome/sl.jar|jar:sl.jar|" chrome.manifest || return 1
   install -D -m644 chrome/sl.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/sl.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/sl.manifest" || return 1
@@ -409,7 +410,7 @@
 package_thunderbird-sv() {
   pkgdesc="Swedish language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf sv-SE.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-sv-SE.xpi || return 1
   sed -i "s|jar:chrome/sv-SE.jar|jar:sv-SE.jar|" chrome.manifest || return 1
   install -D -m644 chrome/sv-SE.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/sv-SE.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/sv-SE.manifest" || return 1
@@ -418,7 +419,7 @@
 package_thunderbird-tr() {
   pkgdesc="Turkish language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf tr.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-tr.xpi || return 1
   sed -i "s|jar:chrome/tr.jar|jar:tr.jar|" chrome.manifest || return 1
   install -D -m644 chrome/tr.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/tr.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/tr.manifest" || return 1
@@ -427,7 +428,7 @@
 package_thunderbird-uk() {
   pkgdesc="Ukrainian language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf uk.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-uk.xpi || return 1
   sed -i "s|jar:chrome/uk.jar|jar:uk.jar|" chrome.manifest || return 1
   install -D -m644 chrome/uk.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/uk.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/uk.manifest" || return 1
@@ -436,7 +437,7 @@
 package_thunderbird-zh-cn() {
   pkgdesc="Chinese (simplified) language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf zh-CN.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-zh-CN.xpi || return 1
   sed -i "s|jar:chrome/zh-CN.jar|jar:zh-CN.jar|" chrome.manifest || return 1
   install -D -m644 chrome/zh-CN.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/zh-CN.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/zh-CN.manifest" || return 1
@@ -445,7 +446,7 @@
 package_thunderbird-zh-tw() {
   pkgdesc="Chinese (traditional) language packs for Thunderbird"
   cd ${srcdir}
-  bsdtar xf zh-TW.xpi || return 1
+  bsdtar xf thunderbird-i18n-$pkgver-zh-TW.xpi || return 1
   sed -i "s|jar:chrome/zh-TW.jar|jar:zh-TW.jar|" chrome.manifest || return 1
   install -D -m644 chrome/zh-TW.jar "${pkgdir}/usr/lib/thunderbird-3.1/chrome/zh-TW.jar" || return 1
   install -D -m644 chrome.manifest "${pkgdir}/usr/lib/thunderbird-3.1/chrome/zh-TW.manifest" || return 1



More information about the arch-commits mailing list